[arch-commits] Commit in nodejs/repos (4 files)

Felix Yan fyan at nymeria.archlinux.org
Tue May 6 12:26:13 UTC 2014


    Date: Tuesday, May 6, 2014 @ 14:26:13
  Author: fyan
Revision: 110758

archrelease: copy trunk to community-i686, community-x86_64

Added:
  nodejs/repos/community-i686/PKGBUILD
    (from rev 110757, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-x86_64/PKGBUILD
    (from rev 110757, nodejs/trunk/PKGBUILD)
Deleted:
  nodejs/repos/community-i686/PKGBUILD
  nodejs/repos/community-x86_64/PKGBUILD

---------------------------+
 /PKGBUILD                 |  144 ++++++++++++++++++++++++++++++++++++++++++++
 community-i686/PKGBUILD   |   72 ----------------------
 community-x86_64/PKGBUILD |   72 ----------------------
 3 files changed, 144 insertions(+), 144 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2014-05-06 12:25:13 UTC (rev 110757)
+++ community-i686/PKGBUILD	2014-05-06 12:26:13 UTC (rev 110758)
@@ -1,72 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at gmail.com>
-# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.campos at gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyicui at gmail.com>
-
-pkgname=nodejs
-pkgver=0.10.28
-pkgrel=2
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl')
-provides=('nodejs-node-gyp')
-makedepends=('python2')
-optdepends=('python2: for node-gyp')
-checkdepends=('curl')
-options=('!emptydirs')
-source=(http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz)
-sha256sums=('abddc6441e0f208f6ed8a045e0293f713ea7f6dfb2d6a9a2024bf8b1b4617710')
-
-prepare() {
-  cd node-v$pkgver
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd node-v$pkgver
-
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --shared-openssl
-
-  make
-}
-
-check() {
-  cd node-v$pkgver
-  make test || true
-}
-
-package() {
-  cd node-v$pkgver
-
-  make DESTDIR="$pkgdir" install
-
-  # install docs as per user request
-  install -d "$pkgdir"/usr/share/doc/nodejs
-  cp -r doc/api/{*.html,assets} \
-    "$pkgdir"/usr/share/doc/nodejs
-
-  install -D -m644 LICENSE \
-    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
-
-  # Why the hell wasn't this installed?! FS#40221
-  ln -s /usr/lib/node_modules/npm/bin/node-gyp-bin/node-gyp "$pkgdir"/usr/bin/node-gyp
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-i686/PKGBUILD (from rev 110757, nodejs/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2014-05-06 12:26:13 UTC (rev 110758)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at gmail.com>
+# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=0.10.28
+pkgrel=3
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl')
+provides=('nodejs-node-gyp')
+makedepends=('python2')
+optdepends=('python2: for node-gyp')
+checkdepends=('curl')
+options=('!emptydirs')
+source=(http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz)
+sha256sums=('abddc6441e0f208f6ed8a045e0293f713ea7f6dfb2d6a9a2024bf8b1b4617710')
+
+prepare() {
+  cd node-v$pkgver
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v$pkgver
+
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --shared-openssl
+
+  make
+}
+
+check() {
+  cd node-v$pkgver
+  make test || :
+}
+
+package() {
+  cd node-v$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # install docs as per user request
+  install -d "$pkgdir"/usr/share/doc/nodejs
+  cp -r doc/api/{*.html,assets} \
+    "$pkgdir"/usr/share/doc/nodejs
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+
+  # Why the hell wasn't this installed?! FS#40221
+  ln -s /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js "$pkgdir"/usr/bin/node-gyp
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2014-05-06 12:25:13 UTC (rev 110757)
+++ community-x86_64/PKGBUILD	2014-05-06 12:26:13 UTC (rev 110758)
@@ -1,72 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at gmail.com>
-# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.campos at gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyicui at gmail.com>
-
-pkgname=nodejs
-pkgver=0.10.28
-pkgrel=2
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl')
-provides=('nodejs-node-gyp')
-makedepends=('python2')
-optdepends=('python2: for node-gyp')
-checkdepends=('curl')
-options=('!emptydirs')
-source=(http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz)
-sha256sums=('abddc6441e0f208f6ed8a045e0293f713ea7f6dfb2d6a9a2024bf8b1b4617710')
-
-prepare() {
-  cd node-v$pkgver
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd node-v$pkgver
-
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --shared-openssl
-
-  make
-}
-
-check() {
-  cd node-v$pkgver
-  make test || true
-}
-
-package() {
-  cd node-v$pkgver
-
-  make DESTDIR="$pkgdir" install
-
-  # install docs as per user request
-  install -d "$pkgdir"/usr/share/doc/nodejs
-  cp -r doc/api/{*.html,assets} \
-    "$pkgdir"/usr/share/doc/nodejs
-
-  install -D -m644 LICENSE \
-    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
-
-  # Why the hell wasn't this installed?! FS#40221
-  ln -s /usr/lib/node_modules/npm/bin/node-gyp-bin/node-gyp "$pkgdir"/usr/bin/node-gyp
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-x86_64/PKGBUILD (from rev 110757, nodejs/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2014-05-06 12:26:13 UTC (rev 110758)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at gmail.com>
+# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=0.10.28
+pkgrel=3
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl')
+provides=('nodejs-node-gyp')
+makedepends=('python2')
+optdepends=('python2: for node-gyp')
+checkdepends=('curl')
+options=('!emptydirs')
+source=(http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz)
+sha256sums=('abddc6441e0f208f6ed8a045e0293f713ea7f6dfb2d6a9a2024bf8b1b4617710')
+
+prepare() {
+  cd node-v$pkgver
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v$pkgver
+
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --shared-openssl
+
+  make
+}
+
+check() {
+  cd node-v$pkgver
+  make test || :
+}
+
+package() {
+  cd node-v$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # install docs as per user request
+  install -d "$pkgdir"/usr/share/doc/nodejs
+  cp -r doc/api/{*.html,assets} \
+    "$pkgdir"/usr/share/doc/nodejs
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+
+  # Why the hell wasn't this installed?! FS#40221
+  ln -s /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js "$pkgdir"/usr/bin/node-gyp
+}
+
+# vim:set ts=2 sw=2 et:




More information about the arch-commits mailing list